<?php
/**
 * The template for displaying the header
 *
 * @since 1.0.0
 */
?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<?php wp_body_open(); ?>

	<?php
	/**
	 * Hook: ignition_global_before.
	 *
	 * @since 1.0.0
	 */
	do_action( 'ignition_global_before' );
	?>

	<div class="page-wrap">

		<?php if ( current_theme_supports( 'ignition-side-header' ) ) : ?>
			<div
				class="site-wrap"
				data-mobile-breakpoint="<?php echo esc_attr( get_theme_mod( 'header_layout_menu_mobile_breakpoint', ignition_eclecticon_ignition_customizer_defaults( 'header_layout_menu_mobile_breakpoint' ) )['desktop'] ); ?>"
			>
				<div class="site-sidebar-wrap">
					<div class="site-sidebar-wrap-inner">
		<?php endif; ?>

		<?php if ( ! function_exists( 'ignition_gsection_do_location' ) || ! ignition_gsection_do_location( 'header' ) ) {
			/**
			 * Hook: ignition_header.
			 *
			 * @since 1.0.0
			 *
			 * @hooked ignition_header - 10
			 * @hooked ignition_the_side_header_widgets - 20
			 */
			do_action( 'ignition_header' );
		} ?>

		<?php if ( current_theme_supports( 'ignition-side-header' ) ) : ?>
					</div>
				</div>
		<?php endif; ?>

		<div class="site-content-wrap">
