<?php
/**
 * Customizer options' and controls' parameters, and Ignition overrides
 *
 * @since 1.0.0
 */

add_filter( 'ignition_customizer_options', 'ignition_eclecticon_filter_ignition_customizer_options', 20 );
/**
 * Modifies the customizer's options parameters.
 *
 * @since 1.0.0
 *
 * @param array $options
 *
 * @return array
 */
function ignition_eclecticon_filter_ignition_customizer_options( $options ) {
	$options['site_typo_secondary']['render_args']['breakpoints_css'] = '
		h1,h2,h3,h4,h5,h6,
		label,
		.label,
		.site-logo,
		.mobile-nav-trigger,
		li.wc-block-grid__product .wc-block-grid__product-title,
		.product_list_widget li > a,
		.product_list_widget .widget-product-content-wrap > a,
		.entry-list-meta-value,
		.wp-block-latest-posts > li > a,
		.wp-block-pullquote.is-style-solid-color,
		.wp-block-quote,
		.entry-navigation-title {
			%s
		}
	';

	$options['header_layout_menu_mobile_breakpoint']['render_args']['css'] = '
		@media (max-width: %spx) {
			.content-align-left .container {
				margin-left: auto;
				margin-right: auto;
			}

			.site-wrap {
				flex-direction: column;
			}

			.head-content-slot-mobile-content {
				display: block;
			}

			.site-sidebar-sticky-on .site-sidebar-wrap-inner,
			.site-sidebar-sticky-on .site-sidebar-wrap,
			.site-sidebar-sticky-on .site-content-wrap,
			.site-sidebar-fixed .site-sidebar-wrap,
			.site-sidebar-wrap {
				min-height: 0;
				height: auto;
				width: 100%;
				position: relative;
			}

			.site-sidebar-wrap-inner {
				padding: 15px 0;
			}

			.site-content-wrap {
				min-height: 0;
				padding: 0;
				width: 100%;
				max-width: 100%;
			}

			.header {
				padding-left: 15px;
				padding-right: 15px;
			}

			.head-mast-inner {
				padding: 0;
				margin-bottom: 0;
				display: flex;
				flex-direction: row;
				align-items: center;
			}

			#mobilemenu {
				display: block;
			}

			.head-content-slot-mobile-nav {
				display: inline-block;
				margin: 0;
			}

			.site-sidebar-widgets,
			.head-menu-slot,
			.nav {
				display: none;
			}

			.site-branding {
				max-width: 58%;
				width: auto;
				text-align: left;
				margin-bottom: 0;
			}

			.section-pre-main:first-child {
				margin-top: 0;
			}

			.rtl .head-content-slot-end {
				text-align: left;
				justify-content: flex-start;
				margin-left: 0;
				margin-right: auto;
			}

			.rtl .site-sidebar-wrap-inner {
				margin: 0;
			}

			.rtl .site-branding {
				text-align: right;
			}
		}
	';

	return $options;
}
