<?php
/**
 * Default template part for displaying portfolio items in article media format
 *
 * @since 1.0.0
 */

/** @var array $args */
$args                   = isset( $args ) ? $args : array();
$classes                = ! empty( $args['classes'] ) ? $args['classes'] : '';
$read_more_button_label = ! empty( $args['read-more-button-label'] ) ? $args['read-more-button-label'] : __( 'Read More', 'ignition' );

$image_size = 'ignition_article_media';
if ( in_array( 'is-style-ignition-eclecticon-item-overlay', $args['classes'], true ) ) {
	$image_size = 'ignition_item_lg';
}
?>

<?php
/** This action is documented in template-files/template-parts/article.php */
do_action( 'ignition_before_entry', 'listing', get_the_ID() );
?>

<article id="entry-<?php the_ID(); ?>" <?php post_class( 'entry-item entry-item-media' ); ?>>
	<?php ignition_the_post_entry_thumbnail( $image_size ); ?>

	<div class="entry-item-content-wrap">
		<?php ignition_the_post_header(); ?>

		<div class="entry-item-excerpt">
			<?php the_excerpt(); ?>
		</div>

		<a href="<?php the_permalink(); ?>" class="btn entry-more-btn">
			<?php echo wp_kses_post( $read_more_button_label ); ?>
		</a>
	</div>
</article>

<?php
/** This action is documented in template-files/template-parts/article.php */
do_action( 'ignition_after_entry', 'listing', get_the_ID() );
